gr::radar::msg_gate_impl Class Reference

`#include <msg_gate_impl.h>`

Inheritance diagram for gr::radar::msg_gate_impl:

## Public Member Functions

| msg_gate_impl (std::vector< std::string > keys, std::vector< float > val_min, std::vector< float > val_max)
| ~msg_gate_impl ()
void | handle_msg (pmt::pmt_t msg)

## Public Attributes

std::vector< std::string > | d_keys
std::vector< float > | d_val_max
std::vector< float > | d_val_min
pmt::pmt_t | d_port_id_in
pmt::pmt_t | d_port_id_out

## Additional Inherited Members

Public Types inherited from gr::radar::msg_gate
typedef std::shared_ptr< msg_gate > | sptr
Static Public Member Functions inherited from gr::radar::msg_gate
static sptr | make (std::vector< std::string > keys, std::vector< float > val_min, std::vector< float > val_max)
| Return a shared_ptr to a new instance of radar::msg_gate.

## Constructor & Destructor Documentation

## msg_gate_impl()

gr::radar::msg_gate_impl::msg_gate_impl | ( | std::vector< std::string > | keys,
|  | std::vector< float > | val_min,
|  | std::vector< float > | val_max )

## ~msg_gate_impl()

gr::radar::msg_gate_impl::~msg_gate_impl | ( |  | ) |

## Member Function Documentation

## handle_msg()

void gr::radar::msg_gate_impl::handle_msg | ( | pmt::pmt_t | msg | ) |

## Member Data Documentation

## d_keys

std::vector<std::string> gr::radar::msg_gate_impl::d_keys

## d_port_id_in

pmt::pmt_t gr::radar::msg_gate_impl::d_port_id_in

## d_port_id_out

pmt::pmt_t gr::radar::msg_gate_impl::d_port_id_out

## d_val_max

std::vector<float> gr::radar::msg_gate_impl::d_val_max

## d_val_min

std::vector<float> gr::radar::msg_gate_impl::d_val_min

The documentation for this class was generated from the following file:

- msg_gate_impl.h